org.bdgenomics.adam.algorithms

# smithwaterman

#### package smithwaterman

Visibility

1. Public
2. All

### Type Members

1. #### trait SmithWaterman extends Serializable

   Abstract class for implementing a Smith-Waterman pairwise alignment.

2. #### case class SmithWatermanConstantGapScoring(xSequence: String, ySequence: String, wMatch: Double, wMismatch: Double, wInsert: Double, wDelete: Double) extends SmithWatermanGapScoringFromFn with Product with Serializable

   Performs a pairwise alignment of two sequences using constant penalties.

### Ungrouped